{	
	name: 'rechargetracker',
  duration: 1,
    onFaint(target, source, effect) {
      if (source?.volatiles?.rechargetracker) {
        source.volatiles.rechargetracker.gotKO = true;
      }
    },
}